StringInterpreterFactory (Apache Tomcat 11.0.23 API Documentation)
Description: declaration: package: org.apache.jasper.compiler, class: StringInterpreterFactory

# Class StringInterpreterFactory

java.lang.Object
org.apache.jasper.compiler.StringInterpreterFactory

public class StringInterpreterFactory extends Object
Provides `StringInterpreter` instances for JSP compilation. The search order is as follows:

1. StringInterpreter instance or implementation class name provided as a ServletContext attribute
2. Implementation class named in a ServletContext initialisation parameter
3. Default implementation

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `StringInterpreterFactory.DefaultStringInterpreter`
  Default implementation of StringInterpreter that handles standard type conversions.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `STRING_INTERPRETER_CLASS_NAME`
  The name used for the StringInterpreter ServletContext attribute and init parameter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StringInterpreter`
  `getStringInterpreter(ServletContext context)`
  Obtain the correct String Interpreter for the given web application.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### STRING_INTERPRETER_CLASS_NAME

    public static final String STRING_INTERPRETER_CLASS_NAME
    The name used for the StringInterpreter ServletContext attribute and init parameter.

- ## Method Details

  - ### getStringInterpreter

    public static StringInterpreter getStringInterpreter(ServletContext context) throws Exception
    Obtain the correct String Interpreter for the given web application.
    Parameters:
      `context` - The Servlet context
    Returns:
      the String interpreter
    Throws:
      `Exception` - If an error occurs creating the interpreter